mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException System.Runtime.InteropServices.ComVisible(true)

To enhance interoperability between legacy systems and the common language runtime, the property stores an integer value (HRESULT) that identifies the error. User defined exceptions should never derive from ExternalException, and an ExternalException should never be thrown by user code. Use the specific exceptions that derive from ExternalException instead.

ExternalException uses the HRESULT E_FAIL which has the value 0x80004005.

ExternalException uses the default implementation, which supports reference equality.

For a list of initial values for an instance of ExternalException, see the ExternalException constructors.

The base exception type for all COM interop exceptions and structured exception handling (SEH) exceptions.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of ExternalException.

  Property

  Value

  A null reference (Nothing in Visual Basic).

  A localized error message string.

  Initializes a new instance of the ExternalException class with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of ExternalException.

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The error message string.

  Initializes a new instance of the ExternalException class with a specified error message.

  The error message that specifies the reason for the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see [<topic://cpconSerialization>].

  Initializes a new instance of the ExternalException class from serialization data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of ExternalException.

  Property

  Value

  The HRESULT of the error.

  A null reference (Nothing in Visual Basic).

  The error message string.

  Initializes a new instance of the ExternalException class with a specified error message and the HRESULT of the error.

  The error message that specifies the reason for the exception.
  The HRESULT of the error.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the HRESULT of the error.